unit UnidadAgregarPasajero;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, DBCtrls, ExtCtrls;

type
  TformAgregarPasajero = class(TForm)
    Label2: TLabel;
    txtPasajero: TDBEdit;
    Label3: TLabel;
    txtCO: TDBEdit;
    Label4: TLabel;
    txtCD: TDBEdit;
    Label5: TLabel;
    txtFV: TDBEdit;
    Label6: TLabel;
    lLineaAerea: TLabel;
    txtLinea: TDBEdit;
    lEmpresaTransporte: TLabel;
    txtEmpresaT: TDBEdit;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    txtMedioT: TComboBox;
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure txtMedioTClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  formAgregarPasajero: TformAgregarPasajero;

implementation

uses UnidadModuloDatos;

{$R *.dfm}

procedure TformAgregarPasajero.Button2Click(Sender: TObject);
begin
  //cancelamos la insercin y cerramos el formulario
  md.tPasajero.Cancel;
  close;
end;

procedure TformAgregarPasajero.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  md.tPasajero.Cancel;
  //liberamos el formulario de memoria
  Action := caFree;
end;

procedure TformAgregarPasajero.Button1Click(Sender: TObject);
var
  seguir : boolean;
begin
  //comprobamos que se han introducido todos los datos
  if txtPasajero.Text = '' then
  begin
    MessageDlg('Debe introducir el nombre del pasajero.', mtWarning, [mbok], 0);
    txtPasajero.SetFocus;
  end
  else
  begin
    if txtCO.Text = '' then
    begin
      MessageDlg('Debe introducir la ciudad de origen.', mtWarning, [mbok], 0);
      txtCO.SetFocus;
    end
    else
    begin
      if txtCD.Text = '' then
      begin
        MessageDlg('Debe introducir la ciudad de destino.', mtWarning, [mbok], 0);
        txtCD.SetFocus;
      end
      else
      begin
        if md.tPasajeroFecha_viaje.AsString = '' then
        begin
          MessageDlg('Debe introducir la fecha del viaje.', mtWarning, [mbok], 0);
          txtFV.SetFocus;
        end
        else
        begin
          if txtMedioT.Text = '' then
          begin
            MessageDlg('Debe introducir el medio de transporte.', mtWarning, [mbok], 0);
            txtMedioT.SetFocus;
          end
          else
          begin
            seguir := true;
            if (txtMedioT.Text = 'Terrestre') and (txtEmpresaT.Text = '') then
            begin
              seguir := false;
              MessageDlg('Debe introducir la empresa de transporte.', mtWarning, [mbok], 0);
              txtEmpresaT.SetFocus;
            end;
            if (txtMedioT.Text = 'Areo') and (txtLinea.Text = '') and (seguir = true) then
            begin
              seguir := false;
              MessageDlg('Debe introducir la lnea area.', mtWarning, [mbok], 0);
              txtLinea.SetFocus;
            end;
            if seguir then
            begin
              if txtMedioT.Text = 'Areo' then
                md.tPasajeroMedio_transporte.Value := 'A';
              if txtMedioT.Text = 'Terrestre' then
                md.tPasajeroMedio_transporte.Value := 'T';
              md.tPasajero.Post;
              Close;
            end;
          end;
        end;
      end;
    end;
  end;
end;

procedure TformAgregarPasajero.FormCreate(Sender: TObject);
begin
  md.tPasajero.Insert;
end;

procedure TformAgregarPasajero.txtMedioTClick(Sender: TObject);
begin
  if txtMedioT.Text = 'Terrestre' then
  begin
    txtLinea.Text := '';
    txtLinea.Enabled := false;
    lLineaAerea.Enabled := false;
    lEmpresaTransporte.Enabled := true;
    txtEmpresaT.Enabled := true;
  end;
  if txtMedioT.Text = 'Areo' then
  begin
    txtEmpresaT.Text := '';
    txtEmpresaT.Enabled := false;
    lEmpresaTransporte.Enabled := false;
    lLineaAerea.Enabled := true;
    txtLinea.Enabled := true;
  end;
end;

end.
